
def random_walk(n):
    import random
    import itertools
    from collections import Counter

    def walk():
        x, y = 0, 0
        for _ in range(n):
            direction = random.choice(['N', 'E', 'S', 'W'])
            if direction == 'N':
                y += 1
            elif direction == 'E':
                x += 1
            elif direction == 'S':
                y -= 1
            elif direction == 'W':
                x -= 1
        return x, y

    paths = [walk() for _ in range(1000)]
    return Counter(paths)



